Users

Everything about PostgreSQL users.

List users

get

Retrieves a list of users

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
systembooleanOptional

If set to 'true' all users, including system users are returned. System users cannot be deleted or updated.

Responses
chevron-right
200

Successful operation.

application/json

Pagination information in list responses.

offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
typestring · enumRequired

The type of the resource.

Possible values:
idstringRequired

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
hrefstringRequired

Absolute URL of the resource.

get
/clusters/{clusterId}/users

Create a user

post

Create a new Postgres User

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Body
Responses
chevron-right
200

Successful operation.

application/json
typestring · enumRequired

The type of the resource.

Possible values:
idstringRequired

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
hrefstringRequired

Absolute URL of the resource.

post
/clusters/{clusterId}/users

Get user

get

Retrieves a single user

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
usernamestring · min: 1 · max: 63Required

The authentication username.

Example: benjamin
Responses
chevron-right
200

Successful operation.

application/json
typestring · enumRequired

The type of the resource.

Possible values:
idstringRequired

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
hrefstringRequired

Absolute URL of the resource.

get
/clusters/{clusterId}/users/{username}

Delete user

delete

Deletes a single user

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
usernamestring · min: 1 · max: 63Required

The authentication username.

Example: benjamin
Responses
delete
/clusters/{clusterId}/users/{username}

No content

Patch user

patch

Patches a single user. Only changing the password is supported. System users cannot be patched.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
usernamestring · min: 1 · max: 63Required

The authentication username.

Example: benjamin
Body
Responses
chevron-right
200

Successful operation.

application/json
typestring · enumRequired

The type of the resource.

Possible values:
idstringRequired

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
hrefstringRequired

Absolute URL of the resource.

patch
/clusters/{clusterId}/users/{username}

Last updated

Was this helpful?